
#include <string>
#include <iostream>
#include <fstream>

template<typename T>
T read_value_from_file (const std::string& fname)
{
  std::ifstream f (fname.c_str());
  f.setf (std::ios::hex, std::ios::basefield);
  T t;
  f >> t;
  return t;
}
